Describes an object that has a navigable hierarchy.

### Type parameters

- TNode

### Hierarchy

- Hierarchical
  - HierarchyIterable
  - AsyncHierarchyIterable

## Index

### Methods

- [Hierarchical.hierarchy]

## Methods

### [Hierarchical.hierarchy]

- [Hierarchical.hierarchy](): HierarchyProvider<TNode>

- - Defined in types.ts:57

  Gets an object that provides hierarchical relationships.

  #### Returns HierarchyProvider<TNode>

Generated using TypeDoc